%please do: load ./data/testdata.mat first!

%This script loads and displays data from test set.
%Testdata is a timetable of one minute of normal ECG data

figure()
subplot(2,3,1:3)
X = T.Signal_uV;
X = X./max(X);%normalize to max pos amp
X = X-mean(X);%subtract mean to remove offset
plot(T.Time,X);
xlabel("Time (s)")
ylabel("Signal (norm.)")
title("Overview")

subplot(2,3,4);%first 5 seconds
R = timerange(seconds(0),seconds(5));
X = T.Signal_uV(R);
X = X./max(X);%normalize to max pos amp
X = X-mean(X);%subtract mean to remove offset
plot(T.Time(R),X);
xlabel("Time (s)")
ylabel("Signal (norm.)")
title("First 5 seconds")

subplot(2,3,5);%middle 5 seconds
R = timerange(seconds(30),seconds(35));
X = T.Signal_uV(R);
X = X./max(X);%normalize to max pos amp
X = X-mean(X);%subtract mean to remove offset
plot(T.Time(R),X);
xlabel("Time (s)")
ylabel("Signal (norm.)")
title("Middle 5 seconds")

subplot(2,3,6);%last 5 seconds
R = timerange(seconds(54),seconds(59));
X = T.Signal_uV(R);
X = X./max(X);%normalize to max pos amp
X = X-mean(X);%subtract mean to remove offset
plot(T.Time(R),X);
xlabel("Time (s)")
ylabel("Signal (norm.)")
title("Last 5 seconds")
