function tests = quadraticSolverTest
%quadraticSolverTest - Test Suite for quadraticSolver.m
tests = functiontests(localfunctions);
end

%% Test Functions - these will be run sequentially
function testRealSolution(testCase)
actSolution = quadraticSolver(1,-3,2);
expSolution = [2 1];
verifyEqual(testCase,actSolution,expSolution)
end

function testImaginarySolution(testCase)
actSolution = quadraticSolver(1,2,10);
expSolution = [-1+3i -1-3i];
verifyEqual(testCase,actSolution,expSolution)
end

% function testBooleanOutput(testCase)
% [~, hasRealSolution] = quadraticSolver(-1,2,10);
% assert(hasRealSolution);
% end

%% Optional file fixtures  
function setupOnce(testCase)  % do not change function name
% set a new path, for example
disp("setupOnce is called at the beginning of all tests")
end

function teardownOnce(testCase)  % do not change function name
% change back to original path, for example
disp("teardownOnce is called at the end of all tests")
end

%% Optional fresh fixtures  
function setup(testCase)  % do not change function name
% open a figure, for example
disp("setup is called before each test")
end

function teardown(testCase)  % do not change function name
% close figure, for example
disp("teardown is called after each test")
end
