function myfun()
%MYFUN This function has some prerequisites
% This function serves as an artificial demonstration of functions that expect a
% certain environment and how you can address this with projects.

% We are expecting that a custom environment variable be present and that it contains
% text/char information. The user must make sure to check that.
envmessage = getenv("MYENV");
if isempty(envmessage)
    error("MYENV was empty!")
end

% We expect a specific datafile to be present under a specific name. The user must
% remember to run setupfun.m before attempting to run myfun.m
currentday = string(datetime("today", "Format", "yyyyMMdd"));
currentfilename = currentday + "tempdata.mat";
D = load(currentfilename);

plot(D.x)
title(envmessage)

end